[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[5633] info test suite
From: |
Gavin D. Smith |
Subject: |
[5633] info test suite |
Date: |
Tue, 03 Jun 2014 15:51:26 +0000 |
Revision: 5633
http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5633
Author: gavin
Date: 2014-06-03 15:51:24 +0000 (Tue, 03 Jun 2014)
Log Message:
-----------
info test suite
Modified Paths:
--------------
trunk/ChangeLog
trunk/info/pseudotty.c
trunk/info/t/Init-intera.inc
trunk/info/t/body-start.sh
trunk/info/t/end-of-line.sh
trunk/info/t/goto-quoted.sh
trunk/info/t/index-long-nodeline.sh
trunk/info/t/index.sh
trunk/info/t/next-quoted.sh
trunk/info/t/quoted-label-and-target.sh
trunk/info/t/quoted-label-as-target.sh
trunk/info/t/quoted-target.sh
trunk/info/t/split-index.sh
trunk/info/t/tab.sh
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/ChangeLog 2014-06-03 15:51:24 UTC (rev 5633)
@@ -1,5 +1,19 @@
2014-06-01 Gavin Smith <address@hidden>
+ * info/pseudotty.c: Call posix_openpt instead of getpt.
+
+ * info/t/Init-intera.inc: Don't redirect stderr. Set
+ LIBC_FATAL_STDERR_.
+
+ * info/t/body-start.sh, info/t/end-of-line.sh, info/t/goto-quoted.sh,
+ info/t/index-long-nodeline.sh, info/t/index.sh, info/t/next-quoted.sh,
+ info/t/quoted-label-and-target.sh, info/t/quoted-label-as-target.sh,
+ info/t/quoted-target.sh, info/t/split-index.sh, info/t/tab.sh: Don't
+ exit immediately if no output file was created and always proceed to
+ cleanup.
+
+2014-06-01 Gavin Smith <address@hidden>
+
* info/session.c (forget_node, forget_windows_and_nodes): Free
NODE objects in window history list.
(info_split_window): Copy the NODE object when creating a new
Modified: trunk/info/pseudotty.c
===================================================================
--- trunk/info/pseudotty.c 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/pseudotty.c 2014-06-03 15:51:24 UTC (rev 5633)
@@ -17,7 +17,7 @@
standard output. Read and ignore any data sent to terminal. This
is so we can run tests interactively without messing up the screen. */
-#define _GNU_SOURCE
+#define _XOPEN_SOURCE
#include <stdlib.h>
#include <stdio.h>
@@ -30,10 +30,8 @@
main ()
{
- /* Note getpt is a GNU extension. grantpt, ptsname, unlockpt are
- specified in POSIX.1-2001. */
error (0, 0, "getting pty master fd");
- master = getpt();
+ master = posix_openpt (O_RDWR);
if (master == -1)
exit (1);
Modified: trunk/info/t/Init-intera.inc
===================================================================
--- trunk/info/t/Init-intera.inc 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/Init-intera.inc 2014-06-03 15:51:24 UTC (rev 5633)
@@ -34,6 +34,12 @@
done
rm -f $GINFO_PTY_FILE
-echo "Redirecting standard file descriptors to $PTS_DEVICE."
-exec 0>$PTS_DEVICE 1<&0 2<&0
+echo "Redirecting stdin and stdout to $PTS_DEVICE."
+exec 0>$PTS_DEVICE 1<&0
+# glibc can kill a running process if it detects a condition like a
+# double free. This specifies that the message it prints when it does
+# this should be sent to stderr so it can be recorded in the test *.log
+# files.
+export LIBC_FATAL_STDERR_=1
+
Modified: trunk/info/t/body-start.sh
===================================================================
--- trunk/info/t/body-start.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/body-start.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -21,10 +21,14 @@
# Check that node headers aren't included in searches
$GINFO -f body-start --restore $t/body-start.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/end-of-line.sh
===================================================================
--- trunk/info/t/end-of-line.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/end-of-line.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -21,10 +21,14 @@
# Check that typing C-e on an empty line doesn't go to previous line
$GINFO -f intera --restore $t/end-of-line.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/goto-quoted.sh
===================================================================
--- trunk/info/t/goto-quoted.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/goto-quoted.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -21,10 +21,14 @@
# Go to a node with colons and commas in its name with "g"
$GINFO -f quoting --restore $t/goto-quoted.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/index-long-nodeline.sh
===================================================================
--- trunk/info/t/index-long-nodeline.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/index-long-nodeline.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -23,9 +23,13 @@
$GINFO -f split --restore $t/index-long-nodeline.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/index.sh
===================================================================
--- trunk/info/t/index.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/index.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -22,9 +22,13 @@
$GINFO -f intera --restore $t/index.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/next-quoted.sh
===================================================================
--- trunk/info/t/next-quoted.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/next-quoted.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -21,10 +21,14 @@
# Go to a node with colons and commas in its name with "n"
$GINFO -f quoting --restore $t/next-quoted.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/quoted-label-and-target.sh
===================================================================
--- trunk/info/t/quoted-label-and-target.sh 2014-06-01 22:44:36 UTC (rev
5632)
+++ trunk/info/t/quoted-label-and-target.sh 2014-06-03 15:51:24 UTC (rev
5633)
@@ -21,10 +21,14 @@
# Follow a cross-reference with both the label and destination quoted.
$GINFO -f quoting --restore $t/quoted-label-and-target.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/quoted-label-as-target.sh
===================================================================
--- trunk/info/t/quoted-label-as-target.sh 2014-06-01 22:44:36 UTC (rev
5632)
+++ trunk/info/t/quoted-label-as-target.sh 2014-06-03 15:51:24 UTC (rev
5633)
@@ -21,10 +21,14 @@
# Follow a cross-reference to a node with colons and commas in its name
$GINFO -f quoting --restore $t/quoted-label-as-target.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/quoted-target.sh
===================================================================
--- trunk/info/t/quoted-target.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/quoted-target.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -21,10 +21,14 @@
# Follow a cross-reference to a node with colons and commas in its name
$GINFO -f quoting --restore $t/quoted-target.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/split-index.sh
===================================================================
--- trunk/info/t/split-index.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/split-index.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -22,9 +22,13 @@
$GINFO -f split --restore $t/split-index.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
Modified: trunk/info/t/tab.sh
===================================================================
--- trunk/info/t/tab.sh 2014-06-01 22:44:36 UTC (rev 5632)
+++ trunk/info/t/tab.sh 2014-06-03 15:51:24 UTC (rev 5633)
@@ -21,10 +21,14 @@
# Tab to first link and follow it
$GINFO -f intera --restore $t/tab.drib
-test -f $GINFO_OUTPUT || exit 1
-# Return non-zero (test failure) if files differ
-diff $GINFO_OUTPUT $t/node-target
-RETVAL=$?
+if ! test -f $GINFO_OUTPUT
+then
+ RETVAL=1
+else
+ # Return non-zero (test failure) if files differ
+ diff $GINFO_OUTPUT $t/node-target
+ RETVAL=$?
+fi
. $t/Cleanup.inc
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [5633] info test suite,
Gavin D. Smith <=